Bug 1382369 (CVE-2016-0727) - CVE-2016-0727 ntp: Privilege escalation via cronjob
Summary: CVE-2016-0727 ntp: Privilege escalation via cronjob
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-0727
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160121,repor...
Depends On: 1382370
Blocks: 1382371
TreeView+ depends on / blocked
 
Reported: 2016-10-06 13:34 UTC by Adam Mariš
Modified: 2019-06-08 21:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-07 07:31:17 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-10-06 13:34:48 UTC
Multiple bugs in cronjob script bundled with ntp package were found allowing malicious ntp user to make the backup process to overwrite arbitrary files with content controlled by the attacker, thus gaining root privileges.

External References:

http://www.halfdog.net/Security/2015/NtpCronjobUserNtpToRootPrivilegeEscalation/

Comment 1 Adam Mariš 2016-10-06 13:35:11 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1382370]

Comment 4 Dhiru Kholia 2016-10-07 07:31:17 UTC
Statement:

This issue did not affect the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, or 7.


Note You need to log in before you can comment on or make changes to this bug.